Bug 803834 - USB Auto-Share does not work in initial full-screen of spice session
USB Auto-Share does not work in initial full-screen of spice session
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-03-15 14:05 EDT by Marian Krcmarik
Modified: 2012-06-20 08:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 08:12:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marian Krcmarik 2012-03-15 14:05:21 EDT
Description of problem:
Old IP USB Auto-Share does not work in initial full-screen of spice session - in
full-screen mode right after connecting to a guest using spice remote viewer client through User
Once an user goes to windowed mode and back to full-screen, Auto-share does
work correctly.

!This same bug was observed and fixed in spicec already please see bug #769020 so It may be the same issue => fix.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect to a Windows guest with guest tools installed  from a client with usb share service installed and usb kspice module loaded. Check USB Auto-share and Open in full-screen option before that in User portal.
2. Plug USB device into client 
Actual results:
USB devices is not mounted into Windows Guest.

Expected results:
USB device should be mounted into Guest.

Additional info:
Comment 2 Marian Krcmarik 2012-03-15 14:29:07 EDT
Retested with virt-viewer-0.5.2-2.el6, The bug still occurs.
Comment 3 Marc-Andre Lureau 2012-03-21 20:31:36 EDT
proposed patch sent to virt-viewer mailing list
Comment 5 Marc-Andre Lureau 2012-03-22 09:47:48 EDT
Fixed upstream 

commit df1fbf1e8d0b4f56bda6dc4cf40379d5af30d128
Author: Marc-Andre Lureau <marcandre.lureau@redhat.com>
Date:   Wed Mar 21 22:47:06 2012 +0100

    Notify focus state when the foreign menu title is set
    The current code only inform of focus state when the listener is ready.
    spice-gtk controller code lacks signal when a client connects, but a
    client will set the title when connected and send a notify signal.
    Use this event to notify of application focus state.
Comment 12 zhe peng 2012-03-27 22:32:27 EDT
according to comment 11, the bug fixed on virt-viewer-0.5.2-3.el6
move to verified.
Comment 13 Daniel Berrange 2012-04-17 07:33:57 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    New Contents:
No documentation needed.
Comment 15 errata-xmlrpc 2012-06-20 08:12:01 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.